package org.jeecg.modules.statistics.service;

import org.jeecg.modules.statistics.entity.BuDeviceStatistics;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.statistics.model.OpenStatistics;

import java.util.List;

/**
 * @Description: 设备信息统计表
 * @Author: jeecg-boot
 * @Date:   2021-01-18
 * @Version: V1.0
 */
public interface IBuDeviceStatisticsService extends IService<BuDeviceStatistics> {

    public List<OpenStatistics> monthStatistics(String year, String month, String deviceId);

    public List<OpenStatistics> noMonthStatistics(String year, String deviceId);

    public List<OpenStatistics> useTimeStatistics(String year, String month, String day, String deviceId);

    public BuDeviceStatistics getSelectTime(String year, String month, String day, String deviceId);

    public List<BuDeviceStatistics> getDataById(String id);

    public List<BuDeviceStatistics> getLastTime(String id);

    public String getDeviceUseTime(String deviceName,String beginTime,String endTime);

    public String getDeviceUseTimes(String deviceName,String beginTime,String endTime);

    public BuDeviceStatistics getTimeData(String deviceName,String year, String month, int day);

    public String getSumTime(int year,int month,int day);
    public String getSumTimeByType(int year,int month,int day,String deviceType);
    public String getSumTimeByDevice(int year,int month,int day,String deviceId);
}
